{
  "name": "@renanhangai/nestjs-command",
  "version": "0.0.1",
  "description": "NestJS command",
  "main": "dist/index.js",
  "repository": "https://gitlab.com/renanhangai_/nodejs/nestjs-command",
  "author": "renanhangai <hangai.renan@gmail.com>",
  "license": "MIT",
  "peerDependencies": {
    "@nestjs/common": "^6",
    "@nestjs/core": "^6"
  },
  "devDependencies": {
    "@nestjs/common": "^6",
    "@nestjs/core": "^6",
    "@nestjs/testing": "^6.3.2",
    "@types/hapi__joi": "^15.0.2",
    "@types/jest": "^24.0.15",
    "@types/node": "^12.0.10",
    "@types/sinon": "^7.0.13",
    "date-fns": "^1.30.1",
    "jest": "^24.8.0",
    "npm-run-all": "^4.1.5",
    "reflect-metadata": "^0.1.13",
    "rimraf": "^2.6.3",
    "rxjs": "^6.5.2",
    "sinon": "^7.3.2",
    "standard-version": "^6.0.1",
    "ts-jest": "^24.0.2",
    "typescript": "^3.5.2"
  },
  "dependencies": {
    "string-argv": "^0.3.0"
  },
  "jest": {
    "moduleFileExtensions": [
      "js",
      "json",
      "ts"
    ],
    "rootDir": ".",
    "roots": [
      "<rootDir>/src"
    ],
    "testRegex": ".spec.ts$",
    "transform": {
      "^.+\\.(t|j)s$": "ts-jest"
    },
    "coverageDirectory": "dist/test/coverage",
    "collectCoverageFrom": [
      "src/**/*.{ts,tsx,js,jsx}"
    ],
    "testEnvironment": "node"
  },
  "scripts": {
    "test": "jest",
    "test:cov": "jest --coverage",
    "clean": "rimraf dist",
    "build": "tsc -p tsconfig.build.json",
    "prerelease": "run-s test:cov",
    "prepack": "run-s clean test build",
    "release": "standard-version"
  }
}
